commit:     dc9e1e81154b9fb314e1401a8bf9f57855993649
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 16 05:57:34 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Mar 16 05:57:34 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc9e1e81

dev-ruby/ffi: add ruby23

Drop ia64, ppc, sparc, x86 keywords due to unkeyworded dependencies, bug 562452

Package-Manager: portage-2.2.26

 dev-ruby/ffi/ffi-1.9.10-r1.ebuild | 65 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

diff --git a/dev-ruby/ffi/ffi-1.9.10-r1.ebuild 
b/dev-ruby/ffi/ffi-1.9.10-r1.ebuild
new file mode 100644
index 0000000..2534544
--- /dev/null
+++ b/dev-ruby/ffi/ffi-1.9.10-r1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby extension for programmatically loading dynamic libraries"
+HOMEPAGE="https://wiki.github.com/ffi/ffi";
+
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> 
${PN}-git-${PV}.tgz"
+
+IUSE=""
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND+=" virtual/libffi"
+DEPEND+=" virtual/libffi"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )"
+
+all_ruby_prepare() {
+       sed -i -e '/tasks/ s:^:#:' \
+               -e '/Gem::Tasks/,/end/ s:^:#:' Rakefile || die
+
+       # Fix Makefile for tests
+       sed -i -e '/CCACHE :=/ s:^:#:' \
+               -e 's/-O2//' \
+               -e 's/^CFLAGS =/CFLAGS +=/' libtest/GNUmakefile || die
+
+       # Remove bundled version of libffi.
+       rm -rf ext/ffi_c/libffi || die
+}
+
+each_ruby_configure() {
+       ${RUBY} -Cext/ffi_c extconf.rb || die
+}
+
+each_ruby_compile() {
+       emake -Cext/ffi_c V=1
+       cp ext/ffi_c/ffi_c.so lib/ || die
+
+       ${RUBY} -S rake -f gen/Rakefile || die "types.conf generation failed"
+}
+
+each_ruby_test() {
+       CC=$(tc-getCC) CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" ${RUBY} -S rspec 
spec || die
+}
+
+all_ruby_install() {
+       all_fakegem_install
+
+       docinto examples
+       dodoc samples/*
+}

Reply via email to